import 'dart:io';

import 'package:intl/intl.dart';
import 'package:money_formatter/money_formatter.dart';

extension CustomString on String {

  // String get moneyFormat {
  //   return MoneyFormatter(amount: double.parse(this)).output.nonSymbol;
  // }
  // String get dayMonthYear {
  //   var date = DateTime.parse(this);
  //   return Jiffy({
  //     "year": date.year,
  //     "month": date.month,
  //     "day": date.day,
  //   }).format("do MMM, yyyy");
  // }

  // String get date {
  //   var date = DateTime.parse(this);
  //   return Jiffy({
  //     "year": date.year,
  //     "month": date.month,
  //     "day": date.day,
  //     "hour": date.hour,
  //   }).format("do MMM, yyyy h:mm a");

  //   // h:mm:ss a
  // }

  // String get time {
  //   var date = DateTime.parse(this);
  //   return Jiffy({
  //     "year": date.year,
  //     "month": date.month,
  //     "day": date.day,
  //     "hour": date.hour,
  //     "minute": date.minute,
  //   }).format("h:mm a");

  //   // h:mm:ss a
  // }

  // String get simpleDate {
  //   var date = DateTime.parse(this);
  //   return Jiffy({
  //     "year": date.year,
  //     "month": date.month,
  //     "day": date.day,
  //   }).format("yyyy-MM-dd");
  // }

  // String get simpleDateSlash {
  //   var date = DateTime.parse(this);
  //   return Jiffy({
  //     "year": date.year,
  //     "month": date.month,
  //     "day": date.day,
  //   }).format("dd/MM/yyyy");
  // }

  String get moneyFormat {
    return MoneyFormatter(amount: double.parse(this)).output.nonSymbol;
  }

  // String get paymentMethodName {
  //   var result =
  //       paymentMethods.where((payment) => (payment["value"]!.contains(this)));

  //   if (result.isNotEmpty) {
  //     return result.first['name']!;
  //   }
  //   return '';
  // }

  // String get getStoreDomainFromUrl {
  //   var text = this.substring(8);
  //   var end = text.split('.');
  //   // final endIndex = text.indexOf(end, 0);
  //   // return text.substring(0, endIndex);
  //   return end[0];
  // }

  // chipType get paymentStatus {
  //   return this == 'SUCCESSFUL'
  //       ? chipType.success
  //       : this == 'INITIATED'
  //           ? chipType.normal
  //           : chipType.error;
  // }

  String get getCurrencySymbol {
    var format =
    NumberFormat.simpleCurrency(locale: Platform.localeName, name: this);
    return format.currencySymbol;
  }
}
